# EncounterStartOfBattleEffect | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface EncounterStartOfBattleEffect

interface EncounterStartOfBattleEffect {
followUp ?: boolean;
ignorePp : boolean;
move : PokemonMove ;
sourceBattlerIndex ?: BattlerIndex ;
sourcePokemon ?: default ;
targets : BattlerIndex [];
}

- Defined in src/data/mystery-encounters/mystery-encounter.ts:32

##### Index

### Properties

followUp?
ignorePp
move
sourceBattlerIndex?
sourcePokemon?
targets

## Properties

### `Optional` followUp

followUp?: boolean

- Defined in src/data/mystery-encounters/mystery-encounter.ts:38

### ignorePp

ignorePp: boolean

- Defined in src/data/mystery-encounters/mystery-encounter.ts:37

### move

move: PokemonMove

- Defined in src/data/mystery-encounters/mystery-encounter.ts:36

### `Optional` sourceBattlerIndex

sourceBattlerIndex?: BattlerIndex

- Defined in src/data/mystery-encounters/mystery-encounter.ts:34

### `Optional` sourcePokemon

sourcePokemon?: default

- Defined in src/data/mystery-encounters/mystery-encounter.ts:33

### targets

targets: BattlerIndex []

- Defined in src/data/mystery-encounters/mystery-encounter.ts:35